<?php
###########################
# met à jour un fichier dans le répertoire d'archive
# IN : un nom de fichier ($filename)
###########################

include("../config.php3");
include($BIB."bib_generic.php3");


###########################
# CONSTANTS
###########################
$aFile = $ARCHIVES_DIR.$filename;
$aFile2 = $ARCHIVES_DIR.$lang.$SEPARATOR.$filename;
?>
<html>
<head></head>
<link rel="stylesheet" href="admin.css">
<body rightmargin=0>
<div align=center class=trTitle>Mettre à jour <?php echo $filename ?></div>
<br><br>
<font color=red><?php echo $filename ?></font>
<?php

switch($submit)
{
	case "Valider":
		if (empty($flashText))
		{
			copy($fichier_html,$aFile);
			copy($fichier_html,$aFile2);
		}
		else
		{
			$fd = fopen($aFile,'w');
			$fd2 = fopen($aFile2,'w');
			$flashText = stripslashes($flashText);
			
			fwrite($fd,$flashText);
			fwrite($fd2,$flashText);
			fclose($fd);
			fclose($fd2);
		}
		echo "<br><br><font color=red><b>Le fichier ".$filename." a été généré</b></font>";
		break;
	
	case "Supprimer":
		if (file_exists($aFile))
		{
			unlink($aFile);
			echo "<font color=red><b>Le fichier ".$filename." a été supprimé</b></font>";
		}
	default:
?>
<form method="post" ENCTYPE="multipart/form-data">
Fichier HTML :
<br>
<input type="file" name="fichier_html" size="50">
<br>
ou le texte suivant :
<br>
<textarea name="flashText" cols="60" rows=15>
<?php 
readfile($aFile);
?>
</textarea>
<br><br>
<input type=submit name="submit" value="Valider">
&nbsp;&nbsp;&nbsp;<input type=submit name="submit" value="Supprimer">
</form>
<?php
	break;
}
?>
Liens dynamisques :<br>
<?php
echo "page des pronos : ";
echo "&lt;a href=\"&lt;?php echo \$sess->link3(\$CHOOSE_BET_PAGE,\"\") ?>\"&gt;les pronos&lt;/a&gt;<br>";

echo "page des gagnants : ";
echo "&lt;a href=\"&lt;?php echo \$sess->link3(\$ALL_WINNERS_PAGE,\"\") ?>\"&gt;les gagnants&lt;/a&gt;<br>";

echo "page du forum : ";
echo "&lt;a href=\"&lt;?php echo \$sess->link3(\$FORUM_PAGE,\"\") ?>\"&gt;le forum&lt;/a&gt;<br>";

echo "page evaview : ";
echo "&lt;a href=\"&lt;?php echo \$sess->link3(\$NEWS_PAGE,\"\") ?>\"&gt;l'evaview&lt;/a&gt;<br>";

echo "page calendrier : ";
echo "&lt;a href=\"&lt;?php echo \$sess->link3(\$CALENDAR_PAGE,\"\") ?>\"&gt;le calendrier&lt;/a&gt;<br>";

echo "page cadeaux : ";
echo "&lt;a href=\"&lt;?php echo \$sess->link3(\$GIFTS_PAGE,\"\") ?>\"&gt;les cadeaux&lt;/a&gt;<br>";

echo "page scores : ";
echo "&lt;a href=\"&lt;?php echo \$sess->link3(\$HIGH_PAGE,\"\") ?>\"&gt;les scores&lt;/a&gt;<br>";

echo "page Actufoot : ";
echo "&lt;a href=\"&lt;?php echo \$sess->link3(\$ACTU_PAGE,\"\") ?>\"&gt;l'actufoot&lt;/a&gt;<br>";
?>
<br><br>

<div align=center class=trTitle>Aperçu</div>
<?php 
readfile($aFile);
?>

</body>
</html>
